QRcodly
APITemplate

List templates

Returns a paginated list of QR code styling templates created by the authenticated user. Supports filtering by name and creation date.

GET
/config-template

Authorization

bearerAuth
AuthorizationBearer <token>

Authenticate with a Bearer token. Pass your API key in the Authorization header: Authorization: Bearer <your-api-key>

In: header

Query Parameters

page*integer

Page number to retrieve (1-based, default: 1)

Default1
Range1 <= value <= 1000
limit*integer

Number of items per page (1-100, default: 10)

Default10
Range1 <= value <= 100
where?

Filter conditions. Each field supports operators: eq (equals), neq (not equals), like (contains). Date fields also support gt, gte, lt, lte.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.qrcodly.de/api/v1/config-template?page=1&limit=10"
{
  "page": 0,
  "limit": 0,
  "total": 0,
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "config": {
        "width": 0,
        "height": 0,
        "margin": 0,
        "image": "string",
        "imageOptions": {
          "hideBackgroundDots": true
        },
        "dotsOptions": {
          "type": "dots",
          "style": {
            "type": "hex",
            "value": "string"
          }
        },
        "cornersSquareOptions": {
          "type": "dot",
          "style": {
            "type": "hex",
            "value": "string"
          }
        },
        "cornersDotOptions": {
          "type": "dot",
          "style": {
            "type": "hex",
            "value": "string"
          }
        },
        "backgroundOptions": {
          "style": {
            "type": "hex",
            "value": "string"
          }
        }
      },
      "createdBy": "string",
      "name": "string",
      "previewImage": "string"
    }
  ]
}
{
  "message": "string",
  "code": 0,
  "fieldErrors": {
    "property1": null,
    "property2": null
  }
}
{
  "message": "string",
  "code": 0
}
{
  "message": "string",
  "code": 0
}